[CalendarServer-changes] [11313] CalendarServer/trunk/support/py.sh

source_changes at macosforge.org source_changes at macosforge.org
Wed Jun 5 17:20:15 PDT 2013


Revision: 11313
          http://trac.calendarserver.org//changeset/11313
Author:   wsanchez at apple.com
Date:     2013-06-05 17:20:15 -0700 (Wed, 05 Jun 2013)
Log Message:
-----------
cleanup

Modified Paths:
--------------
    CalendarServer/trunk/support/py.sh

Modified: CalendarServer/trunk/support/py.sh
===================================================================
--- CalendarServer/trunk/support/py.sh	2013-06-06 00:17:37 UTC (rev 11312)
+++ CalendarServer/trunk/support/py.sh	2013-06-06 00:20:15 UTC (rev 11313)
@@ -86,13 +86,14 @@
 
   local module="$1"; shift;
 
-  if "${python}" -c "import ${module}" > /dev/null 2>&1; then
-    result=0;
-  else
-    result=1;
+  if ! "${python}" -c "import ${module}" > /dev/null 2>&1; then
+    return 1;
   fi;
 
-  if [ ${result} == 0 ] && [ -n "${version}" ]; then
+  local result=0;
+
+  if [ -n "${version}" ]; then
+    local symbol;
     for symbol in "xxxx" "__version__" "version"; do
       if module_version="$(
         "${python}" -c \
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20130605/02b0cddc/attachment.html>


More information about the calendarserver-changes mailing list